> ## Documentation Index
> Fetch the complete documentation index at: https://docs.samplehc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Make arbitrary xCures request

> Make an arbitrary request to xCures using the configured connection identified by slug. Refer to https://partner.xcures.com/api-docs for the full API documentation.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/samplehc/openapi.documented.yml post /api/v2/integrations/xcures/{slug}/request
openapi: 3.0.3
info:
  title: Sample Healthcare API
  description: API for Sample Healthcare
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/integrations/xcures/{slug}/request:
    post:
      tags:
        - Integration - xCures
      summary: Make arbitrary xCures request
      description: >-
        Make an arbitrary request to xCures using the configured connection
        identified by slug. Refer to https://partner.xcures.com/api-docs for the
        full API documentation.
      parameters:
        - schema:
            type: string
          in: path
          name: slug
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                path:
                  type: string
                method:
                  type: string
                  enum:
                    - GET
                    - POST
                    - PUT
                parameters:
                  type: object
                  additionalProperties: {}
                body:
                  type: object
                  additionalProperties: {}
              required:
                - path
                - method
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Proxy response from xCures
          content:
            application/json:
              schema: {}
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        description: The error message.
                      message:
                        type: string
                        description: The message.
                      statusCode:
                        type: number
                        description: The status code.
                      details:
                        type: object
                        additionalProperties: {}
                        description: The details of the error
                    additionalProperties: true
                  - type: object
                    properties:
                      error:
                        type: string
                        description: xCures bad request.
                    required:
                      - error
                    additionalProperties: false
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: xCures auth failed.
                required:
                  - error
                additionalProperties: false
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: xCures auth forbidden.
                required:
                  - error
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: xCures connection not found.
                required:
                  - error
                additionalProperties: false
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Internal server error.
                required:
                  - error
                additionalProperties: false

````